Download it now!
Bug 49919 - Don't default to desktop pollution
Summary: Don't default to desktop pollution
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0 target:3.6.0.0.beta3
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-14 08:38 UTC by Olaf van der Spek
Modified: 2012-08-22 14:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olaf van der Spek 2012-05-14 08:38:53 UTC
Some users prefer to use their desktop as start menu, others prefer to use the real start menu or the Windows 7 task bar.
But could you at least default to not putting an icon on the desktop?
Comment 1 Andras Timar 2012-05-18 05:58:04 UTC
As you wrote, it is matter of taste. I like desktop icons, because my start menu on XP is so large, that it cannot fit in the screen, and I cannot use shortcuts that are not visible. 

Installer asks, if the user wants to install desktop icon. I would not change the default behaviour, unless there are some serious arguments against it.
Comment 2 Olaf van der Spek 2012-05-18 06:23:18 UTC
If you'd like to have the icon on your desktop, you could tick the box. However, now you're requiring others to untick the box just because you want an icon on your desktop.
Comment 3 Andras Timar 2012-06-18 22:33:37 UTC
@Astron: please comment.
Comment 4 Stefan Knorr (astron) 2012-06-21 03:12:21 UTC
+1 to Olaf's comment 1.

Note that views vary wildly on this issue -- I asked a couple people (friends, family) on their preference (which is something I occasionally do when stuff annoys me), and not all share my idea of a clean desktop.

However, there is some inherent nastiness in "polluting" the default user's desktop, as only the admin can remove the icon, other users can't.
Comment 5 Not Assigned 2012-06-21 03:55:13 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6af68b494dafcc6822463a0445692929735eb0af

fdo#49919 Don't default to desktop pollution
Comment 6 Andras Timar 2012-06-21 03:57:58 UTC
Thanks, Astron.
Comment 7 Not Assigned 2012-06-21 04:01:40 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e23f0209535123d9cc0cf60b2359e63e5d672179&g=libreoffice-3-6

fdo#49919 Don't default to desktop pollution


It will be available in LibreOffice 3.6.
Comment 8 Not Assigned 2012-08-17 05:00:30 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6abaf44f813e76d80e76b5f42504e772de8c211b

Revert "fdo#49919 Don't default to desktop pollution"
Comment 9 Not Assigned 2012-08-17 05:07:24 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2009b20dec72c20a6f3fc1d9223c24e7a68d5ad2&g=libreoffice-3-6

Revert "fdo#49919 Don't default to desktop pollution"


It will be available in LibreOffice 3.6.2.
Comment 10 Not Assigned 2012-08-17 09:04:24 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9006cefa1ec736875a858740a8b4faf52d32ecd8&g=libreoffice-3-6-1

Revert "fdo#49919 Don't default to desktop pollution"


It will be available already in LibreOffice 3.6.1.
Comment 11 Stefan Knorr (astron) 2012-08-17 09:30:35 UTC
This has been "unfixed" and is now set to WONTFIX.

Here's why:
#1 You don't have to be the administrator to delete the icon, you can do that with a normal user account
#2 We have reason to believe that some people don't like using/don't use the start menu and thus don't see the LibreOffice icon
#3 Almost any Windows software puts icons on the desktop (which is not much of a reason itself, but might help explain #2)
Comment 12 Olaf van der Spek 2012-08-22 14:40:55 UTC
That's disappointing. 

> #3 Almost any Windows software puts icons on the desktop (which is not much of
a reason itself, but might help explain #2)

That's circular reasoning...
You do it because others do it, others do it because you do it.